Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] Where's the sound config of KDE4.2 / Amarok-1.98
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Thu Nov 27, 2008 3:32 pm    Post subject: [solved] Where's the sound config of KDE4.2 / Amarok-1.98 Reply with quote

Hi,

is anyone able to use the sound in KDE4.2? I 'm only using some KDE4.2-apps. And only in Amarok I tried to play some sounds. Until now without any success. In kde-4.1 there was a phonon-xine-plugin, that worked for me. But since phonon-4.2 that doesn't exist. Neither in systemsettings nor in amarok I found any sound settings.

Config:
- kde-4.1.80 (most of the available stuff, but not a complete KDE-installation)
- phonon-4.1.80
- amarok-1.98
- oss4


Last edited by musv on Fri Nov 28, 2008 7:46 pm; edited 1 time in total
Back to top
View user's profile Send private message
FallenWizard
n00b
n00b


Joined: 04 Sep 2007
Posts: 51
Location: Vienna / Austria

PostPosted: Thu Nov 27, 2008 4:09 pm    Post subject: Re: Where's the sound configuration of KDE4.2 / Amarok-1.98 Reply with quote

musv wrote:
Hi,

is anyone able to use the sound in KDE4.2? I 'm only using some KDE4.2-apps. And only in Amarok I tried to play some sounds. Until now without any success. In kde-4.1 there was a phonon-xine-plugin, that worked for me. But since phonon-4.2 that doesn't exist. Neither in systemsettings nor in amarok I found any sound settings.

Config:
- kde-4.1.80 (most of the available stuff, but not a complete KDE-installation)
- phonon-4.1.80
- amarok-1.98
- oss4


HAL doesn't understand OSS4, and because of that, Phonon will not work with Xine. You will need to install gstreamer to use Phonon.
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Thu Nov 27, 2008 8:29 pm    Post subject: Reply with quote

That's what I've found already.

Is it worth to replace xine-lib with gstreamer? How about the quality and the cpu-usage? I just wanted to try gstreamer 2 years ago. But in that time there were a lot of problems. And additionally the developers of amarok bounced the gstreamer-support out of their code. I guess the first non-gstreamer-amarok was 1.4.0.
Back to top
View user's profile Send private message
spielc
Guru
Guru


Joined: 20 Apr 2004
Posts: 452

PostPosted: Fri Nov 28, 2008 10:51 am    Post subject: Reply with quote

musv wrote:
That's what I've found already.

Is it worth to replace xine-lib with gstreamer? How about the quality and the cpu-usage? I just wanted to try gstreamer 2 years ago. But in that time there were a lot of problems. And additionally the developers of amarok bounced the gstreamer-support out of their code. I guess the first non-gstreamer-amarok was 1.4.0.


I wasn't able to get sound to work with kde-4.1.3 (and thus i assume this goes for kde-4.2 too) at all. That's why i reverted back to kde-4.1.2 (to be more exactly the few kde-programs i use). Furthermore i wasn't able to convince phonon to work with gstreamer. At some point it was finally playing (the progress bar of amarok showed that something was happening but sound remained silent). When i reverted back to phonon-xine everything worked out of the box, without any hassle from my side. When you are looking for sound settings: start systemsettings and choose sound option. You should be able to set everything you need there.
_________________
Raise your beers up high...
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Fri Nov 28, 2008 7:45 pm    Post subject: Reply with quote

Wow, strange, incredible.

When I asked that question, there was no option for any audio settings in my systemsettings. Then I installed kde-phonon and now there was a audio icon in the systemsettings with oss. And the incredible thing is: amarok played something hearable - means it works.
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Sat Nov 29, 2008 12:25 pm    Post subject: Reply with quote

musv: what packages do you have installed?
I have installed kde-phonon and have the icon in systemsetting, but still not sound in amarok nor kde :-(

Code:
[13:21:06 marian@gool elog]$ eix -c -I phonon
[I] kde-base/phonon-kde [1] (4.1.80(4.2)@29.11.2008): Phonon KDE Integration
[I] media-sound/phonon (4.2.80[1]@29.11.2008): KDE multimedia API
[1] "kde-crazy" /usr/local/portage/layman/kde-crazy

Found 2 matches.
[13:21:13 marian@gool elog]$ eix -c -I gst-plugin
[I] media-libs/gst-plugins-base (0.10.20(0.10)@11.10.2008): Basepack of plugins for gstreamer
[I] media-libs/gst-plugins-good (0.10.8-r1(0.10)@29.11.2008): Basepack of plugins for gstreamer
[I] media-libs/gst-plugins-ugly (0.10.8(0.10)@29.11.2008): Basepack of plugins for gstreamer
[I] media-plugins/gst-plugins-a52dec (0.10.8(0.10)@29.11.2008): plugin for gstreamer
[I] media-plugins/gst-plugins-alsa (0.10.20(0.10)@29.11.2008): plugin for gstreamer
[I] media-plugins/gst-plugins-dvdread (0.10.8(0.10)@29.11.2008): plugin for gstreamer
[I] media-plugins/gst-plugins-ffmpeg (0.10.5(0.10)@29.11.2008): FFmpeg based gstreamer plugin
[I] media-plugins/gst-plugins-flac (0.10.8(0.10)@29.11.2008): plugin for gstreamer
[I] media-plugins/gst-plugins-lame (0.10.8(0.10)@29.11.2008): plugin for gstreamer
[I] media-plugins/gst-plugins-mad (0.10.8(0.10)@29.11.2008): plugin for gstreamer
[I] media-plugins/gst-plugins-meta (0.10-r2(0.10)@29.11.2008): Meta ebuild to pull in gst plugins for apps
[I] media-plugins/gst-plugins-mpeg2dec (0.10.8(0.10)@29.11.2008): Libmpeg2 based decoder plug-in for gstreamer
[I] media-plugins/gst-plugins-ogg (0.10.20(0.10)@29.11.2008): plugin for gstreamer
[I] media-plugins/gst-plugins-theora (0.10.20(0.10)@29.11.2008): plugin for gstreamer
[I] media-plugins/gst-plugins-vorbis (0.10.20(0.10)@29.11.2008): plugin for gstreamer
[I] media-plugins/gst-plugins-x (0.10.20(0.10)@29.11.2008): plugin for gstreamer
[I] media-plugins/gst-plugins-xvideo (0.10.20(0.10)@11.10.2008): plugin for gstreamer
Back to top
View user's profile Send private message
FGA
Apprentice
Apprentice


Joined: 07 Apr 2004
Posts: 179

PostPosted: Sat Nov 29, 2008 3:23 pm    Post subject: Reply with quote

How do you solved it? I have phonon, phonon-kde and phonon-xine, but I don't have any sound engine in the multimedia systemsettings module.

And where is the phonon-gstreamer ebuild? I need it because I have oss4 instead of alsa. EDIT: nevermind, I noticed phonon have gstreamer flag
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Sat Nov 29, 2008 4:15 pm    Post subject: Reply with quote

FGA wrote:
How do you solved it? I have phonon, phonon-kde and phonon-xine, but I don't have any sound engine in the multimedia systemsettings module.

And where is the phonon-gstreamer ebuild? I need it because I have oss4 instead of alsa. EDIT: nevermind, I noticed phonon have gstreamer flag


You need kde-base/phonon-kde. But even I have gstreamer flag enabled, it doesn't work. But I switched to xine and now, it works.
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Sat Nov 29, 2008 6:26 pm    Post subject: Reply with quote

FGA wrote:
How do you solved it? I have phonon, phonon-kde and phonon-xine, but I don't have any sound engine in the multimedia systemsettings module.

And where is the phonon-gstreamer ebuild? I need it because I have oss4 instead of alsa. EDIT: nevermind, I noticed phonon have gstreamer flag


I'm also using oss4. It worked for me with version 4.1.80 of all the kde-stuff. Installed is:
phonon-4.2.80
phonon-kde-4.1.80
oss-devel-9999
amarok-1.98

An then in systemsettings appears in the line "Computer Administration" at last icon "Multimedia". When I click on this symbol, I get the Sound Configuration. As device there's always "OSS default output" listet. Gstreamer isn't installed on my box. I'm also using xine-lib.
Back to top
View user's profile Send private message
donjuan06
n00b
n00b


Joined: 13 Dec 2006
Posts: 5

PostPosted: Sat Dec 06, 2008 4:50 pm    Post subject: Reply with quote

Hi guys,

I seem to be having a similar problem. The problem seems to be that no backends are listed when I launch
Code:
systemsettings
However, the correct devices seem to be listed on the first page. The phonon component has both use flags.

Any ideas what I am missing?


Code:

eix -c -I phonon
[U] kde-base/phonon-kde [1] (4.1.80(4.2)@12/06/2008 -> (~)4.1.80 (**)9999): Phonon KDE Integration
[I] media-sound/phonon (4.2.80[1]@12/06/2008): KDE multimedia API
[1] "kde-crazy" /usr/portage/local/layman/kde-crazy

Found 2 matches.
eix -c -I gst-plugin
[U] media-libs/gst-plugins-bad (0.10.7@09/26/2008 -> (~)0.10.9): Unmaintained plugins for GStreamer
[U] media-libs/gst-plugins-base (0.10.20(0.10)@09/24/2008 -> (~)0.10.21): Basepack of plugins for gstreamer
[U] media-libs/gst-plugins-good (0.10.8-r1(0.10)@09/26/2008 -> (~)0.10.11): Basepack of plugins for gstreamer
[U] media-libs/gst-plugins-ugly (0.10.8(0.10)@09/26/2008 -> (~)0.10.10): Basepack of plugins for gstreamer
[U] media-plugins/gst-plugins-a52dec (0.10.8(0.10)@09/26/2008 -> (~)0.10.10): plugin for gstreamer
[U] media-plugins/gst-plugins-alsa (0.10.20(0.10)@09/26/2008 -> (~)0.10.21): plugin for gstreamer
[U] media-plugins/gst-plugins-annodex (0.10.8(0.10)@09/26/2008 -> (~)0.10.11): plugin for gstreamer
[U] media-plugins/gst-plugins-cdio (0.10.8(0.10)@09/26/2008 -> (~)0.10.10): plugin for gstreamer
[U] media-plugins/gst-plugins-dv (0.10.8(0.10)@09/27/2008 -> (~)0.10.11): GStreamer plugin to decode DV
[U] media-plugins/gst-plugins-dvb (0.10.7(0.10)@09/26/2008 -> (~)0.10.9): plugin for gstreamer
[U] media-plugins/gst-plugins-dvdread (0.10.8(0.10)@09/26/2008 -> (~)0.10.10): plugin for gstreamer
[U] media-plugins/gst-plugins-esd (0.10.8(0.10)@09/26/2008 -> (~)0.10.11): plugin for gstreamer
[U] media-plugins/gst-plugins-faac (0.10.7(0.10)@09/26/2008 -> (~)0.10.9): plugin for gstreamer
[I] media-plugins/gst-plugins-ffmpeg (0.10.5(0.10)@10/21/2008): FFmpeg based gstreamer plugin
[U] media-plugins/gst-plugins-flac (0.10.8(0.10)@09/26/2008 -> (~)0.10.11): plugin for gstreamer
[I] media-plugins/gst-plugins-fluendo-mpegdemux (0.10.15(0.10)@09/12/2008): Fluendo's Mpeg demuxer is a GStreamer element to demux mpeg streams
[U] media-plugins/gst-plugins-gconf (0.10.8-r1(0.10)@09/27/2008 -> (~)0.10.11): plugin for gstreamer
[U] media-plugins/gst-plugins-gio (0.10.20(0.10)@10/22/2008 -> (~)0.10.21): plugin for gstreamer
[U] media-plugins/gst-plugins-gnomevfs (0.10.20(0.10)@09/28/2008 -> (~)0.10.21): plugin for gstreamer
[U] media-plugins/gst-plugins-jpeg (0.10.8(0.10)@09/26/2008 -> (~)0.10.11): plug-in to encode and decode jpeg images
[U] media-plugins/gst-plugins-lame (0.10.8(0.10)@09/26/2008 -> (~)0.10.10): plugin for gstreamer
[U] media-plugins/gst-plugins-libpng (0.10.8(0.10)@09/26/2008 -> (~)0.10.11): plug-in to encode png images
[U] media-plugins/gst-plugins-mad (0.10.8(0.10)@09/23/2008 -> (~)0.10.10): plugin for gstreamer
[I] media-plugins/gst-plugins-meta (0.10-r2(0.10)@09/12/2008): Meta ebuild to pull in gst plugins for apps
[U] media-plugins/gst-plugins-mpeg2dec (0.10.8(0.10)@09/27/2008 -> (~)0.10.10): Libmpeg2 based decoder plug-in for gstreamer
[U] media-plugins/gst-plugins-musepack (0.10.7(0.10)@09/26/2008 -> (~)0.10.9): plugin for gstreamer
[U] media-plugins/gst-plugins-neon (0.10.7(0.10)@09/26/2008 -> (~)0.10.9): plugin for gstreamer
[U] media-plugins/gst-plugins-ogg (0.10.20(0.10)@09/26/2008 -> (~)0.10.21): plugin for gstreamer
[U] media-plugins/gst-plugins-oss (0.10.8(0.10)@09/26/2008 -> (~)0.10.11): plugin for gstreamer
[U] media-plugins/gst-plugins-pango (0.10.20(0.10)@09/26/2008 -> (~)0.10.21): plugin for gstreamer
[U] media-plugins/gst-plugins-raw1394 (0.10.8(0.10)@09/26/2008 -> (~)0.10.11): GStreamer plugin to capture firewire video
[U] media-plugins/gst-plugins-shout2 (0.10.8(0.10)@09/26/2008 -> (~)0.10.11): Plug-in to send data to an icecast server using libshout2
[U] media-plugins/gst-plugins-sidplay (0.10.8(0.10)@09/26/2008 -> (~)0.10.10): plugin for gstreamer
[U] media-plugins/gst-plugins-speex (0.10.8(0.10)@09/26/2008 -> (~)0.10.11): GStreamer plugin to allow encoding and decoding of speex
[U] media-plugins/gst-plugins-theora (0.10.20(0.10)@09/26/2008 -> (~)0.10.21): plugin for gstreamer
[U] media-plugins/gst-plugins-vorbis (0.10.20(0.10)@09/26/2008 -> (~)0.10.21): plugin for gstreamer
[U] media-plugins/gst-plugins-x (0.10.20(0.10)@09/26/2008 -> (~)0.10.21): plugin for gstreamer
[U] media-plugins/gst-plugins-xvideo (0.10.20(0.10)@09/28/2008 -> (~)0.10.21): plugin for gstreamer
Found 38 matches.

eix -c -I xine
[I] media-libs/xine-lib (1.1.15-r1(1)@11/12/2008): Core libraries for Xine movie player
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Sat Dec 06, 2008 6:04 pm    Post subject: Reply with quote

mkyral wrote:
FGA wrote:
How do you solved it? I have phonon, phonon-kde and phonon-xine, but I don't have any sound engine in the multimedia systemsettings module.

And where is the phonon-gstreamer ebuild? I need it because I have oss4 instead of alsa. EDIT: nevermind, I noticed phonon have gstreamer flag


You need kde-base/phonon-kde. But even I have gstreamer flag enabled, it doesn't work. But I switched to xine and now, it works.


Well, it works, but I have to choose. Have sound from kde and amarok, or firefox/mplayer. Cannot plays together.
Bug 164104: No sound when playing Flash Videos in Opera, Ko...
Back to top
View user's profile Send private message
ComaWhite
Tux's lil' helper
Tux's lil' helper


Joined: 07 Oct 2008
Posts: 125

PostPosted: Sat Dec 13, 2008 6:23 am    Post subject: Reply with quote

I fixed my issue with removing gstreamer support :\
Back to top
View user's profile Send private message
OmSai
l33t
l33t


Joined: 30 Sep 2007
Posts: 605
Location: Manchester, CT, USA

PostPosted: Sat Dec 27, 2008 1:14 am    Post subject: Reply with quote

Thank you all very much for your contributions to this thread, I have solved my similar problem on Xfce4.

Problem:
Amarok 1.98 appeared to work perfectly, but selecting to play any song or radiostation in the playlist did not update the progress bar (next to the play/pause buttons on the top of the program) or produce any sound.
The playlist songs did not advance either.

Solution:
Per this thread,
Code:
# emerge kde-base/systemsettings- 4.1.3
I then had the same situation as musv where I could not see any Sound icon under Computer Administration.
After
Code:
# emerge =kde-base/phonon-xine-4.1.3
and then launching systemsettings *twice* (i.e. launching once, closing, and then launching again) I could see the Sound icon in systemsettings.
Without making any changes, I found Amarok worked.

Use flags:
(Note that I'm using the kde-crazy overlay, and the -fPIC workaround for mysql to get amarok to compile properly)
$ emerge -pv amarok dev-db/mysql systemsettings phonon-xine:

[ebuild   R   ] dev-db/mysql-5.0.70-r1  USE="berkdb embedded ssl -big-tables -cluster -debug -extraengine -latin1 -max-idx-128 -minimal -perl (-selinux) -static" 0 kB [?=>0]
[ebuild   R   ] kde-base/systemsettings-4.1.3  USE="opengl usb -debug -htmlhandbook -kdeprefix -xinerama" 0 kB [0]
[ebuild   R   ] kde-base/phonon-xine-4.1.3  USE="xcb -debug -kdeprefix" 0 kB [?=>0]
[ebuild   R   ] media-sound/amarok-1.98  USE="opengl semantic-desktop -cdaudio -daap -debug -ifp -ipod -kdeprefix -mp3tunes -mp4 -mtp -njb" 0 kB [?=>1]

Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/portage/local/layman/kde-crazy
 [?] indicates that the source repository could not be determined

_________________
Gentoo is the stick-shift of Linux.
You work it manually, it has somewhat better performance, but it's really for the fun of it.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum